---
title: Talks and Presentations
---

I've given a number of talks at conferences and other meetups over the
years. Here are some of the materials for a few of them. My
presentations tend to be less slide-dependent than some, so these
materials are not guaranteed to be useful. If you're certain I've
given a talk which you don't see here, but want access to the
materials, let me know -- I may have them, I may not.

  - I've given several talks (some multiple times) on machine learning:

    - Earlier this century, bayesian classifiers were all the rage. I
      gave a talk at a few BarCamps [explaining Bayes'
      Theorem](talks/bayes_theorem/) (an old S5 presentation, so
      functionality not guaranteed).

    - Another popular talk was "[Write your own Bayesian
      Classifier!](talks/your-own-bayes/)", which I'm ashamed to say I
      sometimes tried to do in a 30-minute slot.

    - I've given [a brief survey](talks/ml-primer) on machine
      learning concepts and techniques.

    - I once gave a [lightning talk about SVMs](talks/svm-lightning/).

  - I've given several talks on PostgreSQL. Most talks I've collected
    here have videos of the presentations, rather than slides. The
    quality of the videos varies, sorry.

    - A few years back I gave a talk on [using postgres_fdw to
      federate queries](https://www.youtube.com/watch?v=UZ1eqzOeIg0).

    - I did a bit of a [deep dive into postgres
      partitions](https://www.youtube.com/watch?v=Hl3FXv8uBUo).

    - A while back, I gave a talk about the current state of [using
      postgres in cloud
      environments](https://www.youtube.com/watch?v=4fIhhn74mtA). Cloud
      environments have changed significantly in the intervening time,
      so I can no longer stand by my recommendations in this talk.

    - For the local PUG, I gave a somewhat tongue-in-cheek talk about
      [two locking problems I had
      encountered](talks/locking_war_stories/).

  - I've given a number of other talks, some for local python user
    groups, some about other dynamic language issues. For a while, the
    Portland Python User Group had a "module of the month"
    feature. Here are two that I presented:

    - A comparison of [profile and cProfile](talks/profile-cprofile/)

    - A brief overview of the [multiprocessing
      library](talks/multiprocessing)

